BluPay API
  1. Webhooks (Reference)
BluPay API
  • Intro
  • Pix In
    • Create Pix In Transaction
      POST
    • Get Pix In Transaction
      GET
    • Reenviar webhook
      POST
  • Pix Out
    • Create Pix Out Transaction
      POST
    • Get Pix Out Transaction
      GET
  • Webhooks (Reference)
    • Pix In - Payment Confirmed (transaction.paid)
      POST
    • Pix In - Refunded (transaction.refunded)
      POST
    • Pix In - MED (transaction.infraction)
      POST
    • Pix Out - Transfer Confirmed (transfer.paid)
      POST
    • Pix Out - Transfer Failed (transfer.failed)
      POST
  • Wallets
    • Get Wallet Balances
      GET
  • Raiz
  1. Webhooks (Reference)

Pix In - MED (transaction.infraction)

POST
https://your-webhook-url.com/postback
Webhook sent when a Pix In payment MED infraction is received.
Event: transaction.infraction
Type: transaction
This webhook is sent to your configured postbackUrl when a Pix In payment MED infraction is received.

Requisição

Authorization
Envie suas requisições HTTP com um cabeçalho
Authorization
que contenha a palavra Basic seguida por um espaço e uma string codificada em base64 username:password
Exemplo:
Authorization: Basic *****************
Parâmetros Header

Parâmetros Bodyapplication/json

Examples

Respostas

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://your-webhook-url.com/postback' \
--header 'X-Webhook-Signature: a1b2c3d4e5f6...' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "id": "evt_1768313912967_io0c6buyj",
  "type": "transaction",
  "event": "transaction.infraction",
  "objectId": "6985b097-f62e-4adb-80ae-7d4947f78791",
  "data": {
    "id": "6985b097-f62e-4adb-80ae-7d4947f78791",
    "externalRef": null,
    "status": "in_protest",
    "amount": 1100,
    "refundedAmount": 0,
    "installments": 1,
    "paymentMethod": "PIX",
    "companyId": "c0000000-0000-0000-0000-000000000001",
    "customer": {
      "id": "9fd95585-270f-42f8-bb85-02b14006e394",
      "name": "Joao Silva",
      "email": "joao@email.com",
      "phone": "11999999999",
      "document": "12345678910",
      "createdAt": "2025-12-15T17:46:05.382Z"
    },
    "pix": {
      "qrcode": "00020101021226880014br.gov.bcb.pix2566qrcode.blupayip.com.br/pix/3d44ff05-07a4-4524-87fb-e83c39c4eaa55204000053039865802BR5918BLUPAYIP6008SaoPaulo6107131192762070503***63041317",
      "end2EndId": "E18236120202512020455s14af0982224",
      "payer": {
        "name": "João Silva",
        "document": "01234567890",
        "documentType": "cpf",
        "bankAccount": {
          "ispb": "123123",
          "branch": "1",
          "account": "123123"
        }
      }
    },
    "paidAt": "2025-12-16T20:28:36.629Z",
    "createdAt": "2025-12-16T20:28:06.315Z",
    "updatedAt": "2026-01-13T14:18:32.283Z",
    "postbackUrl": "https://crimson-deer-89.webhook.cool"
  }
}'
Response Response Example
{}
Modificado em 2026-01-13 14:23:37
Página anterior
Pix In - Refunded (transaction.refunded)
Próxima página
Pix Out - Transfer Confirmed (transfer.paid)
Built with